package com.example;

import com.vaadin.server.VaadinRequest;
import com.vaadin.spring.annotation.SpringUI;
import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Created by gverhaag on 1-3-16.
 */
@SpringUI
public class MyVaadinUI extends UI {

    @Autowired
    DemoApplication.MyService myService;
    Greeter greeter;

    @Override
    protected void init(VaadinRequest vaadinRequest) {
        myService.setVersion();
        myService.allPackages();
        final VerticalLayout layout = new VerticalLayout();
        layout.setMargin(true);

        Button button = new Button("Click Me");
        button.addClickListener(new Button.ClickListener() {
            public void buttonClick(Button.ClickEvent event) {
                layout.addComponent(new Label("Thank you for clicking"));
            }
        });

        layout.addComponent(button);
        layout.addComponent(new Label(myService.sayHi()));

        setContent(layout);
//        System.out.println("GETCURRENT: " + UI.getCurrent().getSession().getState());
    }

}
